Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.actions.triple
Class DeleteTripleAction

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.actions.triple.AbstractTripleAction
          edu.stanford.smi.protegex.owl.ui.actions.triple.DeleteTripleAction

All Implemented Interfaces:
  IconOwner, TripleAction

    public class DeleteTripleAction

extends AbstractTripleAction

Author:
  Holger Knublauch

Constructor Summary
`DeleteTripleAction()`

Method Summary
`static boolean` | `isSuitable(RDFResource subject, RDFProperty predicate, Object object)`
`boolean` | `isSuitable(Triple triple)` Tests if this action can be applied to a given Triple.
`void` | `run(Triple triple)` Performs the action to a given Triple.

Methods inherited from class edu.stanford.smi.protegex.owl.ui.actions.triple.AbstractTripleAction
`getGroup, getIconFileName, getIconResourceClass, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteTripleAction

    public DeleteTripleAction()

Method Detail

### isSuitable

    public boolean isSuitable(Triple triple)

  Description copied from interface: `TripleAction`
  Tests if this action can be applied to a given Triple.

  Parameters:
    `triple` - the Triple to apply this to
  Returns:
    true if this can be applied to triple

### isSuitable

    public static boolean isSuitable(RDFResource subject,
                                     RDFProperty predicate,
                                     Object object)

### run

    public void run(Triple triple)

  Description copied from interface: `TripleAction`
  Performs the action to a given Triple.

  Parameters:
    `triple` - the Triple to operate on

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.